{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key AVM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitypatchcollection+json",
    "application/vnd.onkey.entitydeletecollection+json"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollectionpage+json",
    "application/vnd.onkey.entitycollection+json"
  ],
  "paths": {
    "/Modules/AVM/AcquisitionStatuses/{id}": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a Acquisition Status resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| createdByUserId | AcquisitionStatus->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AcquisitionStatus->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AcquisitionStatus->CreatedByUser_FullName | string |  |\r\n| createdOn | AcquisitionStatus->CreatedOn | string | date-time |\r\n| isActive | AcquisitionStatus->IsActive | boolean |  |\r\n| modifiedByUserId | AcquisitionStatus->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AcquisitionStatus->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AcquisitionStatus->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AcquisitionStatus->ModifiedOn | string | date-time |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AcquisitionStatus->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AcquisitionStatus->PermissionTree_Description | string |  |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAcquisitionStatus",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Acquisition Status",
            "schema": {
              "$ref": "#/definitions/GetAcquisitionStatusResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Update an existing Acquisition Status resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Status was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Delete an existing Acquisition Status resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Status was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a collection of Acquisition Status resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n| isActive | AcquisitionStatus->IsActive | boolean |  |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n| createdOn | AcquisitionStatus->CreatedOn | string | date-time |\r\n| modifiedOn | AcquisitionStatus->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetAcquisitionStatusCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Acquisition Status collection",
            "schema": {
              "$ref": "#/definitions/GetAcquisitionStatusCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Create a new Acquisition Status resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "CreateAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Lookups/LookupAcquisitionStatusChangePermissionTree": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Lookup the permission set for changing the Acquisition Status.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAcquisitionStatusChangePermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AcquisitionStatusChangePermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Lookups/LookupAcquisitionStatusInsertPermissionTree": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Lookup the permission set for creating the Acquisition Status.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAcquisitionStatusInsertPermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AcquisitionStatusInsertPermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/{ids}": {
      "get": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Get a collection of Acquisition Status resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| createdByUserId | AcquisitionStatus->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AcquisitionStatus->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AcquisitionStatus->CreatedByUser_FullName | string |  |\r\n| createdOn | AcquisitionStatus->CreatedOn | string | date-time |\r\n| isActive | AcquisitionStatus->IsActive | boolean |  |\r\n| modifiedByUserId | AcquisitionStatus->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AcquisitionStatus->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AcquisitionStatus->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AcquisitionStatus->ModifiedOn | string | date-time |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AcquisitionStatus->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AcquisitionStatus->PermissionTree_Description | string |  |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetAcquisitionStatus",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Acquisition Status id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Acquisition Status collection",
            "schema": {
              "$ref": "#/definitions/BatchGetAcquisitionStatusResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch": {
      "post": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Create a new collection of Acquisition Status resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchCreateAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Acquisition Status batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Update a collection of existing Acquisition Status resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| code | AcquisitionStatus->Code | string |  |\r\n| description | AcquisitionStatus->Description | string |  |\r\n| sequenceNumber | AcquisitionStatus->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionStatus->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Status batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Delete a collection of existing Acquisition Status resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteAcquisitionStatus",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteAcquisitionStatusResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Status batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/{id}/Active": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the IsActive status for an existing Acquisition Status resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| isActive | AcquisitionStatus->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAcquisitionStatusIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAcquisitionStatusIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the PermissionTree for an existing Acquisition Status resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAcquisitionStatusPermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Status Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAcquisitionStatusPermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/Active": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the IsActive status for a collection of existing Acquisition Status resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| isActive | AcquisitionStatus->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAcquisitionStatusIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAcquisitionStatusIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionStatuses/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Status"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Acquisition Status resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionStatus->Id | integer | int64 |\r\n| version | AcquisitionStatus->Version | integer | int32 |\r\n| permissionTreeId | AcquisitionStatus->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAcquisitionStatusPermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAcquisitionStatusPermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a Acquisition Type resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AcquisitionType->Code | string |  |\r\n| createdByUserId | AcquisitionType->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AcquisitionType->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AcquisitionType->CreatedByUser_FullName | string |  |\r\n| createdOn | AcquisitionType->CreatedOn | string | date-time |\r\n| isActive | AcquisitionType->IsActive | boolean |  |\r\n| modifiedByUserId | AcquisitionType->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AcquisitionType->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AcquisitionType->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AcquisitionType->ModifiedOn | string | date-time |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AcquisitionType->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AcquisitionType->PermissionTree_Description | string |  |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| description | AcquisitionType->Description | string |  |\r\n| notes | AcquisitionType->Notes | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetAcquisitionType",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Acquisition Type",
            "schema": {
              "$ref": "#/definitions/GetAcquisitionTypeResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Update an existing Acquisition Type resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| code | AcquisitionType->Code | string |  |\r\n| description | AcquisitionType->Description | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionType->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "UpdateAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/UpdateAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Type was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Delete an existing Acquisition Type resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Type was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a collection of Acquisition Type resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| code | AcquisitionType->Code | string |  |\r\n| description | AcquisitionType->Description | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n| isActive | AcquisitionType->IsActive | boolean |  |\r\n| notes | AcquisitionType->Notes | string |  |\r\n| createdOn | AcquisitionType->CreatedOn | string | date-time |\r\n| modifiedOn | AcquisitionType->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetAcquisitionTypeCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Acquisition Type collection",
            "schema": {
              "$ref": "#/definitions/GetAcquisitionTypeCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "post": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Create a new Acquisition Type resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n| code | AcquisitionType->Code | string |  |\r\n| description | AcquisitionType->Description | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionType->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "CreateAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - resource was successfully created",
            "headers": {
              "OnKey-Resource-Id": {
                "type": "integer",
                "description": "Id of the resource created",
                "format": "Int64"
              },
              "OnKey-Resource-Location": {
                "type": "string",
                "description": "Uri to fetch the created resource"
              }
            }
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Lookups/LookupAcquisitionTypeChangePermissionTree": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Lookup the permission set for changing the Acquisition Type.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAcquisitionTypeChangePermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AcquisitionTypeChangePermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Lookups/LookupAcquisitionTypeInsertPermissionTree": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Lookup the permission set for creating the Acquisition Type.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupAcquisitionTypeInsertPermissionTree",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable  collection",
            "schema": {
              "$ref": "#/definitions/AcquisitionTypeInsertPermissionTreeLookupResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/{ids}": {
      "get": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Get a collection of Acquisition Type resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | AcquisitionType->Code | string |  |\r\n| createdByUserId | AcquisitionType->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | AcquisitionType->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | AcquisitionType->CreatedByUser_FullName | string |  |\r\n| createdOn | AcquisitionType->CreatedOn | string | date-time |\r\n| isActive | AcquisitionType->IsActive | boolean |  |\r\n| modifiedByUserId | AcquisitionType->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | AcquisitionType->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | AcquisitionType->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | AcquisitionType->ModifiedOn | string | date-time |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | AcquisitionType->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | AcquisitionType->PermissionTree_Description | string |  |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| description | AcquisitionType->Description | string |  |\r\n| notes | AcquisitionType->Notes | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetAcquisitionType",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Acquisition Type id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Acquisition Type collection",
            "schema": {
              "$ref": "#/definitions/BatchGetAcquisitionTypeResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch": {
      "post": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Create a new collection of Acquisition Type resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n| code | AcquisitionType->Code | string |  |\r\n| description | AcquisitionType->Description | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionType->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchCreateAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchCreateAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "201": {
            "x-nullable": true,
            "description": "Success response - Acquisition Type batch was successfully created"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Update a collection of existing Acquisition Type resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| code | AcquisitionType->Code | string |  |\r\n| description | AcquisitionType->Description | string |  |\r\n| sequenceNumber | AcquisitionType->SequenceNumber | integer | int32 |\r\n| notes | AcquisitionType->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchUpdateAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Type batch was successfully updated"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Delete a collection of existing Acquisition Type resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteAcquisitionType",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteAcquisitionTypeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Acquisition Type batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}/Active": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the IsActive status for an existing Acquisition Type resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| isActive | AcquisitionType->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAcquisitionTypeIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAcquisitionTypeIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the PermissionTree for an existing Acquisition Type resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeAcquisitionTypePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatch+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Acquisition Type Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "patch",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ChangeAcquisitionTypePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/Active": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the IsActive status for a collection of existing Acquisition Type resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| isActive | AcquisitionType->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAcquisitionTypeIsActive",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAcquisitionTypeIsActiveResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/AVM/AcquisitionTypes/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Acquisition Type"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Acquisition Type resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AcquisitionType->Id | integer | int64 |\r\n| version | AcquisitionType->Version | integer | int32 |\r\n| permissionTreeId | AcquisitionType->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeAcquisitionTypePermissionTree",
        "consumes": [
          "application/vnd.onkey.entitypatchcollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "patches",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchChangeAcquisitionTypePermissionTreeResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    }
  },
  "definitions": {
    "OperationExecutionMode": {
      "type": "string",
      "description": "",
      "x-enumNames": [
        "AllOrNone",
        "PerRecord"
      ],
      "enum": [
        "AllOrNone",
        "PerRecord"
      ]
    },
    "SeverityType": {
      "type": "string",
      "description": "",
      "x-nullable": false,
      "x-enumNames": [
        "Error",
        "Warning",
        "Information"
      ],
      "enum": [
        "error",
        "warning",
        "information"
      ]
    },
    "NotificationItemSchema": {
      "title": "NotificationItemSchema",
      "type": "object",
      "properties": {
        "code": {
          "title": "code",
          "type": "string",
          "description": "Unique code for message",
          "x-nullable": false
        },
        "message": {
          "title": "message",
          "type": "string",
          "x-nullable": false
        },
        "objectId": {
          "title": "objectId",
          "type": "string",
          "description": "Optional id of record to which the message applies",
          "x-nullable": true
        },
        "objectType": {
          "title": "objectType",
          "type": "string",
          "format": "enum",
          "x-nullable": true,
          "x-formatSpecifier": "EntityType"
        },
        "properties": {
          "title": "properties",
          "type": "array",
          "description": "Collection of properties referenced by the message using property path syntax",
          "x-nullable": true,
          "example": [
            "Asset->Code"
          ],
          "items": {
            "type": "string"
          }
        },
        "severity": {
          "$ref": "#/definitions/SeverityType"
        },
        "userObjectId": {
          "title": "userObjectId",
          "type": "string",
          "description": "Optional provided unique external record identifier to echo back with message",
          "x-nullable": true
        }
      }
    },
    "NotificationSchema": {
      "title": "NotificationSchema",
      "type": "object",
      "properties": {
        "messages": {
          "title": "messages",
          "type": "array",
          "description": "Collection of messages",
          "x-nullable": false,
          "items": {
            "$ref": "#/definitions/NotificationItemSchema"
          }
        }
      }
    },
    "EntityPermissionViolationSchema": {
      "type": "object",
      "required": [
        "permissionId",
        "permissionTreeId",
        "propertyPaths"
      ],
      "properties": {
        "permissionId": {
          "type": "integer",
          "format": "int64"
        },
        "permissionTreeId": {
          "type": "integer",
          "format": "int64"
        },
        "propertyPaths": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "EntityPhraseTranslationSchema": {
      "type": "object",
      "required": [
        "phrase",
        "translation",
        "propertyPaths"
      ],
      "properties": {
        "phrase": {
          "type": "string"
        },
        "translation": {
          "type": "string"
        },
        "propertyPaths": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "Link": {
      "type": "object",
      "required": [
        "href",
        "method"
      ],
      "properties": {
        "doc": {
          "type": "string",
          "description": "Documentation endpoint that describes the link"
        },
        "href": {
          "type": "string",
          "description": "Endpoint to invoke link",
          "minLength": 1
        },
        "mapping": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/LinkMapping"
          }
        },
        "method": {
          "type": "string",
          "description": "HTTP method used for link",
          "minLength": 1
        },
        "module": {
          "type": "string",
          "description": "Module used by link"
        },
        "rel": {
          "type": "string"
        },
        "resource": {
          "type": "string",
          "description": "Resource used by link"
        },
        "resourceAction": {
          "type": "string",
          "description": "Resource Action used by link"
        },
        "title": {
          "type": "string",
          "description": "Title"
        },
        "type": {
          "description": "Type of link",
          "$ref": "#/definitions/ResourceLinkType"
        }
      }
    },
    "LinkMapping": {
      "type": "object",
      "required": [
        "source"
      ],
      "properties": {
        "source": {
          "type": "string"
        },
        "target": {
          "type": "string"
        }
      }
    },
    "ResourceLinkType": {
      "type": "string",
      "description": "",
      "x-enumNames": [
        "Association",
        "PrimaryAction",
        "CustomAction",
        "Collection",
        "Detail",
        "Lookup",
        "Documentation",
        "Navigation",
        "Specification"
      ],
      "enum": [
        "association",
        "primaryAction",
        "customAction",
        "collection",
        "detail",
        "lookup",
        "documentation",
        "navigation",
        "specification"
      ]
    },
    "GetAcquisitionStatusResourceActionResponse": {
      "title": "GetAcquisitionStatusResourceActionResponse",
      "type": "object",
      "required": [
        "properties"
      ],
      "properties": {
        "class": {
          "title": "class",
          "type": "string"
        },
        "id": {
          "title": "id",
          "type": "integer",
          "format": "int64",
          "x-nullable": false,
          "example": 13243893
        },
        "version": {
          "title": "version",
          "type": "integer",
          "format": "int32",
          "x-nullable": false,
          "example": 1
        },
        "properties": {
          "title": "GetAcquisitionStatusResourceActionResponseProperties",
          "type": "object",
          "x-nullable": false,
          "properties": {
            "code": {
              "title": "code",
              "type": "string",
              "x-nullable": false,
              "x-propertyPath": "AcquisitionStatus->Code"
            },
            "createdByUserId": {
              "title": "createdByUserId",
              "type": "integer",
              "format": "int64",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->CreatedByUser_Id"
            },
            "createdByUserCode": {
              "title": "createdByUserCode",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->CreatedByUser_Code"
            },
            "createdByUserFullName": {
              "title": "createdByUserFullName",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->CreatedByUser_FullName"
            },
            "createdOn": {
              "title": "createdOn",
              "type": "string",
              "format": "date-time",
              "x-nullable": true,
              "example": "2005-04-20T11:52:23.0000000Z",
              "x-propertyPath": "AcquisitionStatus->CreatedOn"
            },
            "isActive": {
              "title": "isActive",
              "type": "boolean",
              "x-nullable": false,
              "x-propertyPath": "AcquisitionStatus->IsActive"
            },
            "modifiedByUserId": {
              "title": "modifiedByUserId",
              "type": "integer",
              "format": "int64",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->ModifiedByUser_Id"
            },
            "modifiedByUserCode": {
              "title": "modifiedByUserCode",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->ModifiedByUser_Code"
            },
            "modifiedByUserFullName": {
              "title": "modifiedByUserFullName",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->ModifiedByUser_FullName"
            },
            "modifiedOn": {
              "title": "modifiedOn",
              "type": "string",
              "format": "date-time",
              "x-nullable": true,
              "example": "2005-04-20T11:52:23.0000000Z",
              "x-propertyPath": "AcquisitionStatus->ModifiedOn"
            },
            "permissionTreeId": {
              "title": "permissionTreeId",
              "type": "integer",
              "format": "int64",
              "x-nullable": false,
              "x-propertyPath": "AcquisitionStatus->PermissionTree_Id"
            },
            "permissionTreeCode": {
              "title": "permissionTreeCode",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->PermissionTree_Code"
            },
            "permissionTreeDescription": {
              "title": "permissionTreeDescription",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->PermissionTree_Description"
            },
            "description": {
              "title": "description",
              "type": "string",
              "x-nullable": false,
              "x-propertyPath": "AcquisitionStatus->Description"
            },
            "notes": {
              "title": "notes",
              "type": "string",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->Notes"
            },
            "sequenceNumber": {
              "title": "sequenceNumber",
              "type": "integer",
              "format": "int32",
              "x-nullable": true,
              "x-propertyPath": "AcquisitionStatus->SequenceNumber"
            }
          }
        },
        "permissionViolations": {
          "title": "permissionViolations",
          "type": "array",
          "description": "Permissions violations for the entity data",
          "x-nullable": true,
          "items": {
            "$ref": "#/definitions/EntityPermissionViolationSchema"
          }
        },
        "translations": {
          "title": "translations",
          "type": "array",
          "description": "Custom translations for the entity data",
          "x-nullable": true,
          "items": {
            "$ref": "#/definitions/EntityPhraseTranslationSchema"
          }
        },
        "messages": {
          "title": "messages",
          "type": "array",
          "description": "Messages for the entity data",
          "x-nullable": true,
          "items": {
            "$ref": "#/definitions/NotificationSchema"
          }
        },
        "links": {
          "title": "links",
          "type": "array",
          "description": "Collection of hypermedia links",
          "items": {
            "$ref": "#/definitions/Link"
          }
        },
        "self": {
          "$ref": "#/definitions/Link"
        }
      }
    },
    "GetAcquisitionStatusCollectionResourceActionResponse": {
      "title": "GetAcquisitionStatusCollectionResourceActionResponse",
      "type": "object",
      "properties": {
        "count": {
          "title": "count",
          "type": "integer",
          "description": "Number of entities in the collection",
          "format": "int32",
          "x-nullable": false,
          "example": 2
        },
        "self": {
          "$ref": "#/definitions/Link"
        },
        "next": {
          "$ref": "#/definitions/Link"
        },
        "prev": {
          "$ref": "#/definitions/Link"
        },
        "items": {
          "title": "items",
          "type": "array",
          "description": "Pageable collection of entities",
          "items": {
            "title": "GetAcquisitionStatusCollectionResourceActionResponseItem",
            "type": "object",
            "properties": {
              "class": {
                "title": "class",
                "type": "string"
              },
              "id": {
                "title": "id",
                "type": "integer",
                "description": "Id of the entity",
                "format": "int64",
                "example": 5000001018
              },
              "version": {
                "title": "version",
                "type": "integer",
                "description": "Version of the entity",
                "format": "int32",
                "x-nullable": true,
                "example": 2
              },
              "properties": {
                "title": "GetAcquisitionStatusCollectionResourceActionResponseItemProperties",
                "type": "object",
                "properties": {
                  "code": {
                    "title": "code",
                    "type": "string",
                    "x-nullable": false,
                    "x-propertyPath": "AcquisitionStatus->Code"
                  },
                  "description": {
                    "title": "description",
                    "type": "string",
                    "x-nullable": false,
                    "x-propertyPath": "AcquisitionStatus->Description"
                  },
                  "sequenceNumber": {
                    "title": "sequenceNumber",
                    "type": "integer",
                    "format": "int32",
                    "x-nullable": true,
                    "x-propertyPath": "AcquisitionStatus->SequenceNumber"
                  },
                  "isActive": {
                    "title": "isActive",
                    "type": "boolean",
                    "x-nullable": false,
                    "x-propertyPath": "AcquisitionStatus->IsActive"
                  },
                  "notes": {
                    "title": "notes",
                    "type": "string",
                    "x-nullable": true,
                    "x-propertyPath": "AcquisitionStatus->Notes"
                  },
                  "createdOn": {
                    "title": "createdOn",
                    "type": "string",
                    "format": "date-time",
                    "x-nullable": true,
                    "example": "2005-04-20T11:52:23.0000000Z",
                    "x-propertyPath": "AcquisitionStatus->CreatedOn"
                  },
                  "modifiedOn": {
                    "title": "modifiedOn",
                    "type": "string",
                    "format": "date-time",
                    "x-nullable": true,
                    "example": "2005-04-20T11:52:23.0000000Z",
                    "x-propertyPath": "AcquisitionStatus->ModifiedOn"
                  }
                }
              },
              "links": {
                "title": "links",
                "type": "array",
                "description": "Collection of hypermedia links",
                "items": {
                  "$ref": "#/definitions/Link"
                }
              }
            }
          }
        },
        "mapping": {
          "title": "mapping",
          "type": "array",
          "description": "Collection of source to target property mappings",
          "x-nullable": true,
          "items": {
            "$ref": "#/definitions/LinkMapping"
          }
        },
[...]
